// +build ignore

package main

import (
	"os"
	"time"

	"git.thisco.de/vbatts/fuzz-walker/walker"
	"git.thisco.de/vbatts/fuzz-walker/walker/walkers/writeBytesFuzz"
)

// NewFuzzer creates the fuzzer for this plugin
func NewFuzzer() (walker.Fuzzer, error) {
	return &myFuzzer{}, nil
}

type myFuzzer struct{}

func (mf myFuzzer) Name() string {
	return writeBytesFuzz.Name
}

func (mf myFuzzer) Func(path string, info os.FileInfo, timeout time.Duration) error {
	return writeBytesFuzz.Func(path, info)
}
